/***************************************************************************
                          calias.h  -  One alias
    This file is a part of KMuddy distribution.
                             -------------------
    begin                : t sep 10 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CALIAS_H
#define CALIAS_H

/*
Current status of cAlias class (Sep 13, 2002):
 - requested functionality implemented
 - new features may still be added
 - code has been tested and it seems to work
*/

#include "csaveablefield.h"

class cSendCmd;

/**
This class represents one alias. It is derived from cSaveableField, and thus
it knows how to load/save itself and how to perform alias matching (all sorts).
  *@author Tomas Mecir
  */

class cAlias : public cSaveableField  {
   Q_OBJECT
public: 
  cAlias (cSendCmd *_sendcmd);
  virtual ~cAlias ();

  /** creates a new instance of the class */
  virtual cSaveableField *newInstance ();

  virtual QString performAction ();
  virtual bool shouldContinue (bool match);

  virtual bool match (const QString &what);

  /** load data from a config file*/
  virtual void load (KConfig *config, const QString &group);
  /** save data to a config file*/
  virtual void save (KConfig *config, const QString &group);

  /** returns type of item (light-weight RTTI) */
  virtual int itemType () { return TYPE_ALIAS; };

  bool sendOriginal () { return sendoriginal; };
  void setSendOriginal (bool what) { sendoriginal = what; };
  bool wholeWords () { return wholewords; };
  void setWholeWords (bool what) { wholewords = what; };
  bool includePrefixSuffix () { return includeprefixsuffix; };
  void setIncludePrefixSuffix (bool what) { includeprefixsuffix = what; };
protected:
  bool sendoriginal;
  bool wholewords;
  bool includeprefixsuffix;
    
  cSendCmd *sendcmd;
};

#endif
