/***************************************************************************
                          caliaslist.h  -  alias list
    This file is a part of KMuddy distribution.
                             -------------------
    begin                : Ct sep 12 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@kmuddy.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CALIASLIST_H
#define CALIASLIST_H

/*
Current status of cAliasList class (Sep 13, 2002):
 - requested functionality implemented
 - new features may still be added
 - code has been tested and it seems to work
*/


#include "csaveablelist.h"

class cSession;
class cSendCmd;

/**
A list of aliases.
Includes functions that do alias matching and similar stuff
(it's mostly inherited from cSaveableList).
  *@author Tomas Mecir
  */

class cAliasList : public cSaveableList {
  Q_OBJECT
public: 
  cAliasList (QString filename, cSession *_sess);
  ~cAliasList ();
  virtual void newString ();
  virtual void processCommands (const QStringList &commands);

  const QStringList &getMatchedCommands () { return matchedcommands; };
  bool wasMatch () { return wasmatch; };
protected:
  bool wasmatch;
  cSendCmd *sendcmd;
  QStringList matchedcommands;
};

#endif
