/***************************************************************************
                          cdownloader.h  -  download stuff
                             -------------------
    begin                : Pi mar 28 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CDOWNLOADER_H
#define CDOWNLOADER_H

#include <config.h>

//Currently we onl;y can use this object with MSP. Later, it may be used with
//other stuff (MXP) as well. Then this will have to be changed.

#include <qobject.h>

#ifdef HAVE_SOUND
class cMSP;
#endif

//forward declaration for KIO::Job
namespace KIO { class Job; };

/**
Class used to download stuff.
  *@author Tomas Mecir
  */

//class definition must always exist - MOC depends on that
class cDownloader : public QObject {
   Q_OBJECT
#ifdef HAVE_SOUND
public: 
  cDownloader (cMSP *mspObject);
  ~cDownloader ();
  bool downloading () { return (currentJob != 0); };
  void reset ();
  void download (QString remoteURL, QString localFile);
#endif  //HAVE_SOUND
//slots must always exist - MOC depends on that
protected slots:
  void slotResult (KIO::Job *job);
#ifdef HAVE_SOUND
protected:
  cMSP *msp;
  KIO::Job *currentJob;
#endif  //HAVE_SOUND
};

#endif  //CDOWNLOADER_H
