/***************************************************************************
                          cgroup.cpp  -  alias/trigger group
                             -------------------
    begin                : Ct dec 5 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cgroup.h"

#include <kconfig.h>

cGroup::cGroup ()
{
  activated = true;
  text = "";
  _number = 0;
}

cGroup::~cGroup ()
{

}

cSaveableField *cGroup::newInstance ()
{
  return new cGroup;
}

void cGroup::load (KConfig *config, const QString &group)
{
  config->setGroup (group);
  text = config->readEntry ("Text", "");
  _number = config->readNumEntry ("Number", 0);
  activated = config->readBoolEntry ("Activated", true);
}

void cGroup::save (KConfig *config, const QString &group)
{
  config->setGroup (group);
  config->writeEntry ("Text", text);
  config->writeEntry ("Number", _number);
  config->writeEntry ("Activated", activated);
}
