/***************************************************************************
                          cmultilineinput.h  -  multi line input handler
    This file is a part of KMuddy distribution.
                             -------------------
    begin                : Po Aug 26 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CMULTILINEINPUT_H
#define CMULTILINEINPUT_H

/*
Current status of cMultiLineInput class (Aug 26, 2002):
 - requested functionality implemented
 - new features may still be added
 - code has been tested and it works
*/

#include <qobject.h>
#include <qstring.h>
#include <qfont.h>

class dlgMultiLine;

/**
This class handles the multi-line input edit. It contains function to show,
hide, send contents etc.
Contents are sent to currently active connection.
  *@author Tomas Mecir
*/

class cMultiLineInput : public QObject  {
   Q_OBJECT
public: 
  cMultiLineInput ();
  ~cMultiLineInput ();
  void setFont (QFont _font);
signals:
  void oneLine (const QString &text);
  void dialogClosed ();
public slots:
  /** show window if it's hidden, hide it otherwise */
  void toggle ();
protected slots:
  void handleDlgClose ();
  void sendInput ();
  void clearInput ();
protected:
  dlgMultiLine *multiline;
  bool shown;
  QFont font;
};

#endif
