/***************************************************************************
                          cscriptlist.h  -  list of scripts
                             -------------------
    begin                : Pi dec 13 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CSCRIPTLIST_H
#define CSCRIPTLIST_H

#include <qwidget.h>

#include "csaveablelist.h"

class cSession;
class cScript;

/**
List of scripts.
  *@author Tomas Mecir
  */

class cScriptList : public cSaveableList  {
   Q_OBJECT
public: 
  cScriptList (QString filename, cSession *_sess);
  ~cScriptList ();

  /** run current script*/
  bool runCurrent (const QString &paramlist = QString::null);
  /** run script with name */
  bool runScript (QString name, const QString &paramlist = QString::null);
  /** does script with such name exist? */
  bool nameExists (const QString &name);
protected:
  /** run this script! */
  bool runScript (cScript *script, const QString &paramlist);
  
  /** NOT NEEDED HERE */
  virtual void processCommands (const QStringList &command) {};

};

#endif
