/***************************************************************************
                          cshortcut.cpp  -  macro key/shortcut
                             -------------------
    begin                : St mj 28 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cshortcut.h"

#include "csession.h"

#include <qkeysequence.h>
#include <kconfig.h>
#include <klocale.h>

cShortcut::cShortcut (cSession *s)
{
  sess = s;

  _key = _state = 0;
  sendit = true;
  overwriteinput = false;
  text = QString::null;
}

cShortcut::~cShortcut ()
{

}

cSaveableField *cShortcut::newInstance ()
{
  return new cShortcut (sess);
}

QString cShortcut::performAction ()
{
  return text;
}

void cShortcut::load (KConfig *config, const QString &group)
{
  config->setGroup (group);

  setText (config->readEntry ("Text", ""));
  setKey (config->readNumEntry ("Key", 0));
  setState (config->readNumEntry ("State", 0));
  setSendIt (config->readBoolEntry ("Send it", true));
  setOverwriteInput (config->readBoolEntry ("Overwrite input", false));
}

void cShortcut::save (KConfig *config, const QString &group)
{
  config->setGroup (group);

  config->writeEntry ("Text", text);
  config->writeEntry ("Key", _key);
  config->writeEntry ("State", _state);
  config->writeEntry ("Send it", sendit);
  config->writeEntry ("Overwrite input", overwriteinput);
}

QString cShortcut::keyToString (int _key, int _state)
{
  //all existing functions are strange... Or at least I failed to get
  //anything useful out of KKey and KShortcut. QKeySequence also seems
  //to accept input in some other format, and it doesn't recognize numpad
  //keys properly. Therefore, I made my own function that works well :)

  QString base = QKeySequence (_key);
  if (base.length() == 0)
    base = i18n ("(unknown)");
  if (_key == 0)
    base = i18n ("(none)");
  if (_state & Qt::Keypad)
    base = "KP_" + base;
  if (_state & Qt::ShiftButton)
    base = i18n ("Shift") + " + " + base;
  if (_state & Qt::ControlButton)
    base = i18n ("Ctrl") + " + " + base;
  if (_state & Qt::AltButton)
    base = i18n ("Alt") + " + " + base;
  if (_state & Qt::MetaButton)
    base = i18n ("Meta") + " + " + base;
  return base;  
}

