/***************************************************************************
                          cshortcutlist.cpp  -  macro key list
                             -------------------
    begin                : St mj 28 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cshortcutlist.h"

#include "ccmdprocessor.h"
#include "cinputline.h"
#include "csession.h"
#include "cshortcut.h"

#include <kconfig.h>

cShortcutList::cShortcutList (QString filename, cSession *s):
    cSaveableList (s)
{
  //sess is assigned in cSaveableList's constructor
  prototype = new cShortcut (sess);
  objName = "Macro key";
  config = new KConfig (filename);
  load ();
}

cShortcutList::~cShortcutList ()
{
  save ();
  config->sync ();
}

bool cShortcutList::handleKey (int key, int state)
{
  if (!enabled())
    return false; //nothing if we're disabled

  int st = state & (Qt::KeyButtonMask | Qt::Keypad);
  //iterate through the list
  for (reset(); *this; (*this)++)
  {
    cShortcut *sc = (cShortcut *) **this;
    if ((sc->key() == key) && (sc->state() == st))
    {
      //MATCH!
      QString command = sc->performAction ();
      if (sc->sendIt ())
        sess->cmdproc()->processInput (command);
      else
        if (sc->overwriteInput())
          sess->inputline()->setText (command);
        else
          sess->inputline()->insert (command);
      return true;
    }
  }
  return false;
}

