/***************************************************************************
                          cstatus.h - manages status bar
    This file is a part of KMuddy distribution.
                             -------------------
    begin                : Ne Jul 7 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CSTATUS_H
#define CSTATUS_H

/*
Current status of cStatus class (Sep 1, 2002):
 - requested functionality implemented
 - new features may still be added
 - code has been tested and it seems to work
*/

#include <kstatusbar.h>
#include <qobject.h>
#include <qtimer.h>

#include "csessionbase.h"

/**This class manages the status bar.
  *@author Tomas Mecir
  */

class cStatus : public QObject, public cSessionBase {
   Q_OBJECT
public: 
  cStatus(KStatusBar *statusbar);
  ~cStatus();
  void showTimer ();
  void hideTimer ();
  /** shows a message for 2 seconds */
  void showMessage (const QString & message);
  const QString connTimeString ();
public slots:
  void dimensionsChanged (int x, int y);
  void timerStart ();
  void timerStop ();
  void timerReset ();
  void connected ();
  void disconnected ();
  void partialLine (const QString &line);
  void clearPartialLine ();
protected:
  KStatusBar *sb;
  QTimer *timer;
  bool timing;
  int conntime;
  bool timerShown;
protected slots:
  void timerTick ();
};

#endif
