/***************************************************************************
                          ctranscript.h  -  session transcript
    This file is a part of KMuddy distribution.
                             -------------------
    begin                : Ct oct 31 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CTRANSCRIPT_H
#define CTRANSCRIPT_H

/*
Current status of cTranscript class (Nov 1, 2002):
 - requested functionality implemented
 - new features may still be added
 - code has been tested and it seems to work
*/

#include <stdio.h>

#include <qobject.h>

#include "csessionbase.h"

class dlgTranscript;
class dlgDumpBuffer;

/**
This class handles session transcript feature.
  *@author Tomas Mecir
  */

class cTranscript : public QObject, public cSessionBase {
   Q_OBJECT
private:
  QString directory, name;
public: 
  cTranscript ();
  ~cTranscript ();
  
  void load();
  void save();
  
public slots:
  void addLineToTranscript (const QString &what, const QString &tcolor,
      const QString &bcolor);
  void addLineToAdvTranscript(const QString &what);
  void addTextToTranscript (const QString &what, const QString &tcolor,
      const QString &bcolor);
  
  void addCommandToTranscript (const QString &what);
  void stopTranscript ();
  void stopAdvTranscript ();
  void startAdvTranscript();
  void setEnableRotate(bool val) { rotatedaily = val; };
  bool enableRotate() { return rotatedaily; };
  void setPrependTimestamp(bool val) { includetimestamp = val; };
  bool prependTimestamp() { return includetimestamp; };
  void configure ();
  void dumpBuffer ();
  void timeout();
protected slots:
  void addToTranscript (const QString &what);
  void addANSIToTranscript (const QString &what);
  void applyTranscript ();
  void doDumpBuffer ();
protected:
  void startTranscript ();
  
  QString constructANSI (int fg, int bg);

  bool running, advrunning, rotatedaily;
  bool overwrite, allowansi, includedump;
  bool includetimestamp;
  FILE *file, *advfile;
  QString fname, advfname;
  int curfg, curbg;
  QTimer *transtimer;

  dlgTranscript *tdlg;
  dlgDumpBuffer *bdlg;
};

#endif
