//
// C++ Interface: cvartrigger
//
// Description: One variable trigger.
//
//
// Author: Tomas Mecir <kmuddy@kmuddy.org>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CVARTRIGGER_H
#define CVARTRIGGER_H

#include "csaveablefield.h"

class cSession;

/**
This class represents one variable trigger.


@author Tomas Mecir
*/
class cVarTrigger : public cSaveableField
{
Q_OBJECT
public:
  /** constructor */
  cVarTrigger (cSession *s);
  /** destructor */
  ~cVarTrigger ();

  /** creates a new instance of the class */
  virtual cSaveableField *newInstance ();

  /** load data from a config file */
  virtual void load (KConfig *config, const QString &group);
  /** save data to a config file */
  virtual void save (KConfig *config, const QString &group);

  /** abstract; returns type of item (light-weight RTTI) */
  virtual int itemType () { return TYPE_VARTRIG; };

  /** perform action - executes those commands */
  virtual QString performAction ();

  void setVarName (const QString &varname);
  QString varName () { return var; };

  //commands are implemented via newText/setNewText

  /** useless */
  virtual bool shouldContinue (bool) { return false; };
protected:
  QString var;

  cSession *sess;
};

#endif
