//
// C++ Implementation: cvartriggerlist
//
// Description:
//
//
// Author: Tomas Mecir <kmuddy@kmuddy.org>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include "cvartriggerlist.h"

#include "ccmdprocessor.h"
#include "csession.h"
#include "cvartrigger.h"

#include <kconfig.h>

cVarTriggerList::cVarTriggerList (QString filename, cSession *s)
  : cSaveableList (s)
{
  prototype = new cVarTrigger (s);
  objName = "Variable trigger";
  config = new KConfig (filename);
  load ();
}


cVarTriggerList::~cVarTriggerList()
{
  save ();
  config->sync ();
}

void cVarTriggerList::execTriggers (const QString &varname, const QString &)
{
  //FIXME: this is SLOW!!! Use multimap (in the class) instead of list traversing!!!

  for (reset(); *this; (*this)++)
  {
    cVarTrigger *vt = (cVarTrigger *) cur;
    if (vt->varName () == varname)
    {
      vt->performAction ();
      processCommands (vt->commandsToExec());
    }
  }
}

void cVarTriggerList::processCommands (const QStringList &commands)
{
  QStringList::const_iterator it;
  for (it = commands.begin(); it != commands.end(); ++it)
    sess->cmdproc()->processTriggerInput(*it);
}

#include "cvartriggerlist.moc"
