//
// C++ Interface: cvartriggerlist
//
// Description: 
//
//
// Author: Tomas Mecir <kmuddy@kmuddy.org>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CVARTRIGGERLIST_H
#define CVARTRIGGERLIST_H

#include "csaveablelist.h"

/**
List of variable triggers. :-)
There can be only one trigger per variable.

@author Tomas Mecir
*/

class cVarTriggerList : public cSaveableList
{
Q_OBJECT
public:
  cVarTriggerList (QString filename, cSession *s);
  ~cVarTriggerList ();

  //needed to make some brain-dead compiler compile this...
  friend class cConnPrefs;

  //prevent unauthorized access; no problem now, but it will be a problem once we implement
  //the multimap structure that speeds up the triggers...
  friend class dlgVarTriggers;
public slots:
  /** execute appropriate variable trigger, if any */
  void execTriggers (const QString &varname, const QString &value);
protected:
  virtual void processCommands (const QStringList &commands);
};

#endif
