//
// C++ Interface: cwindowlist
//
// Description: 
//
//
// Author: Tomas Mecir <kmuddy@kmuddy.org>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CWINDOWLIST_H
#define CWINDOWLIST_H

#include <qstringlist.h>

#include <map>

class dlgOutputWindow;
class cSession;

/**
This class manages output windows.

@author Tomas Mecir
*/

class cWindowList {
public:
  /** constructor */
  cWindowList (QString filename, cSession *s);
  /** destructor */
  ~cWindowList ();

  /** does this window exist? */
  bool exists (const QString &name);
  /** adds a window, returns true if successful */
  bool add (const QString &name, bool autoadd = false);
  /** removes a window, returns true if successful */
  bool remove (const QString &name);

  /** returns a list of windows - kinda slow */
  QStringList windowList ();

  bool show (const QString &name);
  bool hide (const QString &name);
  /** show if hidden, hide if shown :) */
  void toggle (const QString &name);
  bool isShown (const QString &name);

  void textToWindow (const QString &name, const QString &text, const QString &fg, const QString &bg);

  void save ();
  
protected:
  void load ();

  std::map<QString, dlgOutputWindow *> windows;
  QStringList toerase;
  
private:
  QString directory;
  QString name, file;
  cSession *sess;
};

#endif
