/***************************************************************************
                          dlgaliastrigger.h  -  alias/trigger dialog
    This file is a part of KMuddy distribution.
                             -------------------
    begin                : So se 14 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGALIASTRIGGER_H
#define DLGALIASTRIGGER_H

#include <qwidget.h>
#include <kdialogbase.h>

class cAliasList;
class cTriggerList;
class cActionList;
class cSaveableList;

class QLabel;
class KListBox;
class KPushButton;

/**
Alias/trigger list/modification dialog.
Also handles dynamic action list.
  *@author Tomas Mecir
  */        

class dlgAliasTrigger : public KDialogBase {
  Q_OBJECT
public: 
  dlgAliasTrigger (cAliasList *alist, QWidget *parent=0, const char *name=0);
  dlgAliasTrigger (cTriggerList *tlist, QWidget *parent=0, const char *name=0);
  dlgAliasTrigger (cActionList *aclist, QWidget *parent=0, const char *name=0);
  ~dlgAliasTrigger ();
protected slots:
  void add ();
  void modify ();
  void remove ();
  void up ();
  void down ();
  void up10 ();
  void down10 ();
  void moveto ();
  void changePositionInfo (int newpos);
protected:
  void createDialog ();
  
  void updateMe ();

  cAliasList *al;
  cTriggerList *tl;
  cActionList *acl;
  cSaveableList *list;
  
  KListBox *box;
  KPushButton *btadd, *btmodify, *btdelete, *btup, *btdown;
  KPushButton *bt10up, *bt10down, *btmoveto;
  QLabel *lblcurpos;
};

#endif
