/***************************************************************************
                          dlgeditscript.h  -  Edit Script dialog
                             -------------------
    begin                : Ne dec 15 2002
    copyright            : (C) 2002-2003 by Tomas Mecir
    email                : kmuddy@kmuddy.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGEDITSCRIPT_H
#define DLGEDITSCRIPT_H

#include <qwidget.h>
#include <kdialogbase.h>

class cScript;
class cSession;

class QCheckBox;
class QComboBox;
class QLabel;
class KLineEdit;
class KRestrictedLine;

/**
Edit Script dialog.
  *@author Tomas Mecir
  */

class dlgEditScript : public KDialogBase  {
   Q_OBJECT
public: 
  dlgEditScript (cScript *s, cSession *_sess, QWidget *parent=0, const char *name=0);
  ~dlgEditScript ();

  /** prepare the dialog, show it, then save changes to the cScript object */
  bool showMe ();

protected slots:
  /** OK button slot - checks is script is okay */
  virtual void slotOk ();
  void browse1 ();
  void browse2 ();
protected:
  QLabel *label[8];
  KRestrictedLine *sname;
  KLineEdit *comment, *cmd, *workdir, *prefix, *suffix;
  QCheckBox *enableinput, *sendusercommands, *enablestdout, *sendstdout, *enablestderr, *sendstderr;
  QCheckBox *shellexpand, *useadvcomm, *allowparams, *singleinstance;
  QCheckBox *chknoflowcontrol, *chkallowvars;
  QCheckBox *chkpreprocessor;
  KLineEdit *matchtext;
  QComboBox *type;
  QCheckBox *onlyifmatch;

  cScript *script;
  cSession *sess;
};

#endif
