/***************************************************************************
                          dlgeditvariable.h  -  Edit Variable dialog
                             -------------------
    begin                : St sep 10 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@kmuddy.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGEDITVARIABLE_H
#define DLGEDITVARIABLE_H

#include <kdialogbase.h>

class KLineEdit;
class KRestrictedLine;
class QLabel;

/**
Dialog that is used to edit properties of one variable. Note that the
/set command has the same purpose :)
  *@author Tomas Mecir
  */

class dlgEditVariable : public KDialogBase  {
   Q_OBJECT
public:
  dlgEditVariable (QWidget *parent=0, const char *name=0);
  ~dlgEditVariable ();
  bool showMe ();
  void setName (const QString &n);
  QString getName ();
  void setValue (const QString &v);
  QString getValue ();
  void setModifyMode ();
protected slots:
  void slotOk ();
protected:
  void createDialog ();

  QLabel *lbl1;
  KRestrictedLine *edname;
  KLineEdit *edvalue;
};

#endif
