/***************************************************************************
                          dlgintnuminput.cpp  -  integer input dialog
                             -------------------
    begin                : St jun 25 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "../dialogs/dlgintnuminput.h"

#include <knuminput.h>
#include <klocale.h>

dlgIntNumInput::dlgIntNumInput (QWidget *parent, const char *name) :
    KDialogBase (parent, name, true, i18n ("Enter number"), Ok|Cancel,
    Ok, true)
{
  setInitialSize (QSize (250, 100));
  numInput = new KIntNumInput (this);
  setMainWidget (numInput);
}

dlgIntNumInput::~dlgIntNumInput ()
{

}

void dlgIntNumInput::setText (const QString &text)
{
  numInput->setLabel (text, KNumInput::AlignTop);
}

void dlgIntNumInput::setRange (int low, int high)
{
  numInput->setRange (low, high);
}

void dlgIntNumInput::setNumber (int num)
{
  numInput->setValue (num);
}

int dlgIntNumInput::number ()
{
  return numInput->value ();
}

int dlgIntNumInput::getNumber (const QString &text, int low, int high,
    int initnum, bool *ok, QWidget *parent)
{
  dlgIntNumInput *dlg = new dlgIntNumInput (parent);
  dlg->setText (text);
  dlg->setRange (low, high);
  dlg->setNumber (initnum);
  int retVal = 0;
  if (dlg->exec ())
  {
    *ok = true;
    retVal = dlg->number ();
  }
  else
    *ok = false;
  delete dlg;

  return retVal;
}
