/***************************************************************************
                          dlgmultiline.h  -  multi-line input dialog
    This file is a part of KMuddy distribution.
                             -------------------
    begin                : Po Aug 26 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGMULTILINE_H
#define DLGMULTILINE_H

#include <qwidget.h>
#include <kdialogbase.h>

class QTextEdit;
class KLineEdit;

/**
Multi-line input dialog.
  *@author Tomas Mecir
*/

class dlgMultiLine : public KDialogBase  {
   Q_OBJECT
public: 
  dlgMultiLine(QWidget *parent=0, const char *name=0);
  ~dlgMultiLine();
  /** clear contents! */
  void clear ();
  /** returns number of lines */
  int lines ();
  /** returns line number index */
  QString line (int index);
  /** set QMultiLineEdit's font */
  void setFont (const QFont &font);
protected:
  /** the most important stuff here... */
  QTextEdit *editor;
  KLineEdit *prefix, *suffix;
};

#endif
