//
// C++ Implementation: dlgoutputwindow
//
// Description: 
//
//
// Author: Vladimir Lazarenko <vlad@lazarenko.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "../dialogs/dlgoutputwindow.h"
#include "../cconsole.h"
#include "../csession.h"
#include "../kmuddy.h"

#include <klocale.h>
#include <qlayout.h>

extern KMuddy *kmuddy;

dlgOutputWindow::dlgOutputWindow(QWidget *parent, const char *name)
 : KDialogBase(parent, name, false, i18n ("Output window"), 0)
{
  //initial size
  setInitialSize (QSize (250, 300));

  //main widget
  QWidget *page = new QWidget (this);
  QVBoxLayout *layout = new QVBoxLayout (page);

  setMainWidget (page);
  setFocusPolicy (QWidget::StrongFocus);

  owindow = new cConsole(true, page);
  //our window shall also have a status bar
  owindow->setVScrollBarMode (QScrollView::AlwaysOn);

  //no session information yet, will set it when it's available
  sess = 0;
  owindow->setSession (0);

  KDialog::resizeLayout (this, 0, 5);
  layout->setMargin (0);
  layout->addWidget(owindow);
}

dlgOutputWindow::~dlgOutputWindow()
{
}

void dlgOutputWindow::setSession (cSession *s)
{
  sess = s;
  //also inform console about the new session
  owindow->setSession (sess);
}

void dlgOutputWindow::addLine(const QString &text, const QString &tc, const QString &bc)
{
  if(owindow)
    owindow->addLine(text, tc, bc);
}

void dlgOutputWindow::setOutputWindowName(const QString &name)
{
  if(name)
    this->setCaption(name);
}
