/***************************************************************************
                          dlgrunninglist.h  -  Running Scripts dialog
                             -------------------
    begin                : So jan 18 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGRUNNINGLIST_H
#define DLGRUNNINGLIST_H

#include <qwidget.h>
#include <kdialogbase.h>

class cRunningList;
class QPopupMenu;

/**
This dialog manages currently running scripts. It uses the cRunningList class.
  *@author Tomas Mecir
  */

class dlgRunningList : public KDialogBase  {
   Q_OBJECT
public: 
  dlgRunningList (cRunningList *list, QWidget *parent=0, const char *name=0);
  ~dlgRunningList ();

  /** use another running list */
  void switchRunningList (cRunningList *newlist);

protected slots:
  void suspendScript ();
  void resumeScript ();
  void terminateScript ();
  void killScript ();

  void updateView ();
  void listDestroyed ();
  void showRMBMenu(KListView*, QListViewItem* item, const QPoint& point);
protected:

  cRunningList *rlist;

  KListView *view;

  QPopupMenu *pop;
};

#endif
