/***************************************************************************
                          dlgvariables.h  -  Variables dialog
                             -------------------
    begin                : St sep 10 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@kmuddy.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGVARIABLES_H
#define DLGVARIABLES_H

#include <kdialogbase.h>

class cVariableList;

class KListBox;
class KPushButton;

/*
TODO:
  Triggers and scripts can modify variable values when this dialog is shown,
  but the changes are not reflected here. This should be fixed.
*/

/**
Dialog that shows a list of variables.
  *@author Tomas Mecir
  */

class dlgVariables : public KDialogBase  {
   Q_OBJECT
public:
  dlgVariables (cVariableList *vlist, QWidget *parent=0, const char *name=0);
  ~dlgVariables ();
protected slots:
  void add ();
  void modify ();
  void remove ();
protected:
  void createDialog ();

  void updateMe (const QString &activeValue = QString::null);

  cVariableList *vl;

  KListBox *box;
  KPushButton *btadd, *btmodify, *btdelete;
};

#endif
